diff --git a/include/ieee1516-2010/RTI/RTIambassador.h b/include/ieee1516-2010/RTI/RTIambassador.h
index 18fb5d0a..c9fe20ad 100644
--- a/include/ieee1516-2010/RTI/RTIambassador.h
+++ b/include/ieee1516-2010/RTI/RTIambassador.h
@@ -1228,624 +475,253 @@ namespace rti1516e
          AttributeHandleSetRegionHandleSetPairVector const &
          theAttributeHandleSetRegionHandleSetPairVector,
          bool active = true,
-         std::wstring const & updateRateDesignator = L"")
-         throw (
-            InvalidRegionContext,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            InvalidUpdateRateDesignator,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & updateRateDesignator = L"") = 0;
 
 
       // 9.9
       virtual void unsubscribeObjectClassAttributesWithRegions (
          ObjectClassHandle theClass,
          AttributeHandleSetRegionHandleSetPairVector const &
-         theAttributeHandleSetRegionHandleSetPairVector)
-         throw (
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         theAttributeHandleSetRegionHandleSetPairVector) = 0;
 
       // 9.10
       virtual void subscribeInteractionClassWithRegions (
          InteractionClassHandle theClass,
          RegionHandleSet const & theRegionHandleSet,
-         bool active = true)
-         throw (
-            FederateServiceInvocationsAreBeingReportedViaMOM,
-            InvalidRegionContext,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         bool active = true) = 0;
 
       // 9.11
       virtual void unsubscribeInteractionClassWithRegions (
          InteractionClassHandle theClass,
-         RegionHandleSet const & theRegionHandleSet)
-         throw (
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         RegionHandleSet const & theRegionHandleSet) = 0;
 
       // 9.12
       virtual void sendInteractionWithRegions (
          InteractionClassHandle theInteraction,
          ParameterHandleValueMap const & theParameterValues,
          RegionHandleSet const & theRegionHandleSet,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            InvalidRegionContext,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            InteractionClassNotPublished,
-            InteractionParameterNotDefined,
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       virtual MessageRetractionHandle sendInteractionWithRegions (
          InteractionClassHandle theInteraction,
          ParameterHandleValueMap const & theParameterValues,
          RegionHandleSet const & theRegionHandleSet,
          VariableLengthData const & theUserSuppliedTag,
-         LogicalTime const & theTime)
-         throw (
-            InvalidLogicalTime,
-            InvalidRegionContext,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            InteractionClassNotPublished,
-            InteractionParameterNotDefined,
-            InteractionClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         LogicalTime const & theTime) = 0;
 
       // 9.13
       virtual void requestAttributeValueUpdateWithRegions (
          ObjectClassHandle theClass,
          AttributeHandleSetRegionHandleSetPairVector const & theSet,
-         VariableLengthData const & theUserSuppliedTag)
-         throw (
-            InvalidRegionContext,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            AttributeNotDefined,
-            ObjectClassNotDefined,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & theUserSuppliedTag) = 0;
 
       //////////////////////////
       // RTI Support Services //
       //////////////////////////
 
       // 10.2
-      virtual ResignAction getAutomaticResignDirective ()
-         throw (
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual ResignAction getAutomaticResignDirective () = 0;
 
       // 10.3
       virtual void setAutomaticResignDirective (
-         ResignAction resignAction)
-         throw (
-            InvalidResignAction,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ResignAction resignAction) = 0;
 
       // 10.4
       virtual FederateHandle getFederateHandle (
-         std::wstring const & theName)
-         throw (
-            NameNotFound,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theName) = 0;
 
       // 10.5
       virtual std::wstring getFederateName (
-         FederateHandle theHandle)
-         throw (
-            InvalidFederateHandle,
-            FederateHandleNotKnown,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         FederateHandle theHandle) = 0;
 
       // 10.6
       virtual ObjectClassHandle getObjectClassHandle (
-         std::wstring const & theName)
-         throw (
-            NameNotFound,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theName) = 0;
 
       // 10.7
       virtual std::wstring getObjectClassName (
-         ObjectClassHandle theHandle)
-         throw (
-            InvalidObjectClassHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ObjectClassHandle theHandle) = 0;
 
       // 10.8
       virtual ObjectClassHandle getKnownObjectClassHandle (
-         ObjectInstanceHandle theObject)
-         throw (
-            ObjectInstanceNotKnown,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ObjectInstanceHandle theObject) = 0;
 
       // 10.9
       virtual ObjectInstanceHandle getObjectInstanceHandle (
-         std::wstring const & theName)
-         throw (
-            ObjectInstanceNotKnown,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theName) = 0;
 
       // 10.10
       virtual std::wstring getObjectInstanceName (
-         ObjectInstanceHandle theHandle)
-         throw (
-            ObjectInstanceNotKnown,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ObjectInstanceHandle theHandle) = 0;
 
       // 10.11
       virtual AttributeHandle getAttributeHandle (
          ObjectClassHandle whichClass,
-         std::wstring const & theAttributeName)
-         throw (
-            NameNotFound,
-            InvalidObjectClassHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theAttributeName) = 0;
 
       // 10.12
       virtual std::wstring getAttributeName (
          ObjectClassHandle whichClass,
-         AttributeHandle theHandle)
-         throw (
-            AttributeNotDefined,
-            InvalidAttributeHandle,
-            InvalidObjectClassHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandle theHandle) = 0;
 
       // 10.13
       virtual double getUpdateRateValue (
-         std::wstring const & updateRateDesignator)
-         throw (
-            InvalidUpdateRateDesignator,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & updateRateDesignator) = 0;
 
       // 10.14
       virtual double getUpdateRateValueForAttribute (
          ObjectInstanceHandle theObject,
-         AttributeHandle theAttribute)
-         throw (
-            ObjectInstanceNotKnown,
-            AttributeNotDefined,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandle theAttribute) = 0;
 
       // 10.15
       virtual InteractionClassHandle getInteractionClassHandle (
-         std::wstring const & theName)
-         throw (
-            NameNotFound,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theName) = 0;
 
       // 10.16
       virtual std::wstring getInteractionClassName (
-         InteractionClassHandle theHandle)
-         throw (
-            InvalidInteractionClassHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         InteractionClassHandle theHandle) = 0;
 
       // 10.17
       virtual ParameterHandle getParameterHandle (
          InteractionClassHandle whichClass,
-         std::wstring const & theName)
-         throw (
-            NameNotFound,
-            InvalidInteractionClassHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theName) = 0;
 
       // 10.18
       virtual std::wstring getParameterName (
          InteractionClassHandle whichClass,
-         ParameterHandle theHandle)
-         throw (
-            InteractionParameterNotDefined,
-            InvalidParameterHandle,
-            InvalidInteractionClassHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ParameterHandle theHandle) = 0;
 
       // 10.19
       virtual OrderType getOrderType (
-         std::wstring const & orderName)
-         throw (
-            InvalidOrderName,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & orderName) = 0;
 
       // 10.20
       virtual std::wstring getOrderName (
-         OrderType orderType)
-         throw (
-            InvalidOrderType,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         OrderType orderType) = 0;
 
       // 10.21
       virtual TransportationType getTransportationType (
-         std::wstring const & transportationName)
-         throw (
-            InvalidTransportationName,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & transportationName) = 0;
 
       // 10.22
       virtual std::wstring getTransportationName (
-         TransportationType transportationType)
-         throw (
-            InvalidTransportationType,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         TransportationType transportationType) = 0;
 
       // 10.23
       virtual DimensionHandleSet getAvailableDimensionsForClassAttribute (
          ObjectClassHandle theClass,
-         AttributeHandle theHandle)
-         throw (
-            AttributeNotDefined,
-            InvalidAttributeHandle,
-            InvalidObjectClassHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         AttributeHandle theHandle) = 0;
 
       // 10.24
       virtual DimensionHandleSet getAvailableDimensionsForInteractionClass (
-         InteractionClassHandle theClass)
-         throw (
-            InvalidInteractionClassHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         InteractionClassHandle theClass) = 0;
 
       // 10.25
       virtual DimensionHandle getDimensionHandle (
-         std::wstring const & theName)
-         throw (
-            NameNotFound,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         std::wstring const & theName) = 0;
 
       // 10.26
       virtual std::wstring getDimensionName (
-         DimensionHandle theHandle)
-         throw (
-            InvalidDimensionHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         DimensionHandle theHandle) = 0;
 
       // 10.27
       virtual unsigned long getDimensionUpperBound (
-         DimensionHandle theHandle)
-         throw (
-            InvalidDimensionHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         DimensionHandle theHandle) = 0;
 
       // 10.28
       virtual DimensionHandleSet getDimensionHandleSet (
-         RegionHandle theRegionHandle)
-         throw (
-            InvalidRegion,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         RegionHandle theRegionHandle) = 0;
 
       // 10.29
       virtual RangeBounds getRangeBounds (
          RegionHandle theRegionHandle,
-         DimensionHandle theDimensionHandle)
-         throw (
-            RegionDoesNotContainSpecifiedDimension,
-            InvalidRegion,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         DimensionHandle theDimensionHandle) = 0;
 
       // 10.30
       virtual void setRangeBounds (
          RegionHandle theRegionHandle,
          DimensionHandle theDimensionHandle,
-         RangeBounds const & theRangeBounds)
-         throw (
-            InvalidRangeBound,
-            RegionDoesNotContainSpecifiedDimension,
-            RegionNotCreatedByThisFederate,
-            InvalidRegion,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         RangeBounds const & theRangeBounds) = 0;
 
       // 10.31
       virtual unsigned long normalizeFederateHandle (
-         FederateHandle theFederateHandle)
-         throw (
-            InvalidFederateHandle,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         FederateHandle theFederateHandle) = 0;
 
       // 10.32
       virtual unsigned long normalizeServiceGroup (
-         ServiceGroup theServiceGroup)
-         throw (
-            InvalidServiceGroup,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         ServiceGroup theServiceGroup) = 0;
 
       // 10.33
-      virtual void enableObjectClassRelevanceAdvisorySwitch ()
-         throw (
-            ObjectClassRelevanceAdvisorySwitchIsOn,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void enableObjectClassRelevanceAdvisorySwitch () = 0;
 
       // 10.34
-      virtual void disableObjectClassRelevanceAdvisorySwitch ()
-         throw (
-            ObjectClassRelevanceAdvisorySwitchIsOff,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void disableObjectClassRelevanceAdvisorySwitch () = 0;
 
       // 10.35
-      virtual void enableAttributeRelevanceAdvisorySwitch ()
-         throw (
-            AttributeRelevanceAdvisorySwitchIsOn,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void enableAttributeRelevanceAdvisorySwitch () = 0;
 
       // 10.36
-      virtual void disableAttributeRelevanceAdvisorySwitch ()
-         throw (
-            AttributeRelevanceAdvisorySwitchIsOff,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void disableAttributeRelevanceAdvisorySwitch () = 0;
 
       // 10.37
-      virtual void enableAttributeScopeAdvisorySwitch ()
-         throw (
-            AttributeScopeAdvisorySwitchIsOn,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void enableAttributeScopeAdvisorySwitch () = 0;
 
       // 10.38
-      virtual void disableAttributeScopeAdvisorySwitch ()
-         throw (
-            AttributeScopeAdvisorySwitchIsOff,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void disableAttributeScopeAdvisorySwitch () = 0;
 
       // 10.39
-      virtual void enableInteractionRelevanceAdvisorySwitch ()
-         throw (
-            InteractionRelevanceAdvisorySwitchIsOn,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void enableInteractionRelevanceAdvisorySwitch () = 0;
 
       // 10.40
-      virtual void disableInteractionRelevanceAdvisorySwitch ()
-         throw (
-            InteractionRelevanceAdvisorySwitchIsOff,
-            SaveInProgress,
-            RestoreInProgress,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual void disableInteractionRelevanceAdvisorySwitch () = 0;
 
       // 10.41
       virtual bool evokeCallback (
-         double approximateMinimumTimeInSeconds)
-         throw (
-            CallNotAllowedFromWithinCallback,
-            RTIinternalError) = 0;
+         double approximateMinimumTimeInSeconds) = 0;
 
       // 10.42
       virtual bool evokeMultipleCallbacks (
          double approximateMinimumTimeInSeconds,
-         double approximateMaximumTimeInSeconds)
-         throw (
-            CallNotAllowedFromWithinCallback,
-            RTIinternalError) = 0;
+         double approximateMaximumTimeInSeconds) = 0;
 
       // 10.43
-      virtual void enableCallbacks ()
-         throw (
-            SaveInProgress,
-            RestoreInProgress,
-            RTIinternalError) = 0;
+      virtual void enableCallbacks () = 0;
 
       // 10.44
-      virtual void disableCallbacks ()
-         throw (
-            SaveInProgress,
-            RestoreInProgress,
-            RTIinternalError) = 0;
+      virtual void disableCallbacks () = 0;
 
       // API-specific services
 
       // Return instance of time factory being used by the federation
-      virtual std::auto_ptr<LogicalTimeFactory> getTimeFactory () const
-         throw (
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+      virtual std::auto_ptr<LogicalTimeFactory> getTimeFactory () const = 0;
 
       // Decode handles
       virtual FederateHandle decodeFederateHandle (
-         VariableLengthData const & encodedValue) const
-         throw (
-            CouldNotDecode,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & encodedValue) const = 0;
 
       virtual ObjectClassHandle decodeObjectClassHandle (
-         VariableLengthData const & encodedValue) const
-         throw (
-            CouldNotDecode,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & encodedValue) const = 0;
 
       virtual InteractionClassHandle decodeInteractionClassHandle (
-         VariableLengthData const & encodedValue) const
-         throw (
-            CouldNotDecode,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & encodedValue) const = 0;
 
       virtual ObjectInstanceHandle decodeObjectInstanceHandle (
-         VariableLengthData const & encodedValue) const
-         throw (
-            CouldNotDecode,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & encodedValue) const = 0;
 
       virtual AttributeHandle decodeAttributeHandle (
-         VariableLengthData const & encodedValue) const
-         throw (
-            CouldNotDecode,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & encodedValue) const = 0;
 
       virtual ParameterHandle decodeParameterHandle (
-         VariableLengthData const & encodedValue) const
-         throw (
-            CouldNotDecode,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & encodedValue) const = 0;
 
       virtual DimensionHandle decodeDimensionHandle (
-         VariableLengthData const & encodedValue) const
-         throw (
-            CouldNotDecode,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & encodedValue) const = 0;
 
       virtual MessageRetractionHandle decodeMessageRetractionHandle (
-         VariableLengthData const & encodedValue) const
-         throw (
-            CouldNotDecode,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & encodedValue) const = 0;
 
       virtual RegionHandle decodeRegionHandle (
-         VariableLengthData const & encodedValue) const
-         throw (
-            CouldNotDecode,
-            FederateNotExecutionMember,
-            NotConnected,
-            RTIinternalError) = 0;
+         VariableLengthData const & encodedValue) const = 0;
    };
 }
 
diff --git a/include/ieee1516-2010/RTI/RTIambassadorFactory.h b/include/ieee1516-2010/RTI/RTIambassadorFactory.h
index 6ed4e3ea..3f3e9626 100644
--- a/include/ieee1516-2010/RTI/RTIambassadorFactory.h
+++ b/include/ieee1516-2010/RTI/RTIambassadorFactory.h
@@ -33,12 +33,10 @@ namespace rti1516e
       RTIambassadorFactory();
 
       virtual ~RTIambassadorFactory()
-         throw ();
+         noexcept;
 
       // 10.35
-      std::auto_ptr< RTIambassador > createRTIambassador ()
-         throw (
-            RTIinternalError);
+      std::auto_ptr< RTIambassador > createRTIambassador ();
    };
 }
 
diff --git a/include/ieee1516-2010/RTI/certiLogicalTime.h b/include/ieee1516-2010/RTI/certiLogicalTime.h
index 1ddfec29..e3afe83d 100644
--- a/include/ieee1516-2010/RTI/certiLogicalTime.h
+++ b/include/ieee1516-2010/RTI/certiLogicalTime.h
@@ -49,7 +49,7 @@ namespace rti1516e
   public:
     virtual
     ~LogicalTime()
-      throw () { };
+      noexcept { };
 
     virtual
     void
@@ -69,43 +69,35 @@ namespace rti1516e
 
     virtual
     LogicalTime &
-    operator=(LogicalTime const & value)
-      throw (InvalidLogicalTime) = 0;
+    operator=(LogicalTime const & value) = 0;
 
     virtual
     LogicalTime &
-    operator+=(LogicalTimeInterval const & addend)
-      throw (IllegalTimeArithmetic, InvalidLogicalTimeInterval) = 0;
+    operator+=(LogicalTimeInterval const & addend) = 0;
 
     virtual
     LogicalTime &
-    operator-=(LogicalTimeInterval const & subtrahend)
-      throw (IllegalTimeArithmetic, InvalidLogicalTimeInterval) = 0;
+    operator-=(LogicalTimeInterval const & subtrahend) = 0;
 
     virtual
     bool
-    operator>(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator>(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator<(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator<(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator==(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator==(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator>=(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator>=(LogicalTime const & value) const = 0;
 
     virtual
     bool
-    operator<=(LogicalTime const & value) const
-      throw (InvalidLogicalTime) = 0;
+    operator<=(LogicalTime const & value) const = 0;
     
     // Generates an encoded value that can be used to send
     // LogicalTimes to other federates in updates or interactions
@@ -113,18 +105,13 @@ namespace rti1516e
 
     // Alternate encode for directly filling a buffer
     virtual size_t encodedLength() const = 0;
-    virtual size_t encode(void* buffer, size_t bufferSize) const 
-       throw (CouldNotEncode) = 0;
+    virtual size_t encode(void* buffer, size_t bufferSize) const = 0;
    
     // Decode encodedLogicalTime into self
-    virtual void decode(VariableLengthData const & encodedLogicalTime)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(VariableLengthData const & encodedLogicalTime) = 0;
 
     // Alternate decode that reads directly from a buffer
-    virtual void decode(void* buffer, size_t bufferSize)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(void* buffer, size_t bufferSize) = 0;
 
     virtual std::wstring toString() const = 0;
 
diff --git a/include/ieee1516-2010/RTI/certiLogicalTimeFactory.h b/include/ieee1516-2010/RTI/certiLogicalTimeFactory.h
index 5e0108d8..15ab0431 100644
--- a/include/ieee1516-2010/RTI/certiLogicalTimeFactory.h
+++ b/include/ieee1516-2010/RTI/certiLogicalTimeFactory.h
@@ -55,19 +55,17 @@ namespace rti1516e
   public:
     virtual
     ~LogicalTimeFactory()
-      throw () { };
+      noexcept { };
     
     // Returns a LogicalTime with a value of "initial"
     virtual
     std::unique_ptr< LogicalTime >
-    makeLogicalTime()
-      throw (InternalError) = 0;
+    makeLogicalTime() = 0;
     
     // Returns a LogicalTimeInterval with a value of "zero"
     virtual 
     std::unique_ptr< LogicalTimeInterval >
-    makeLogicalTimeInterval() 
-      throw (InternalError) = 0;
+    makeLogicalTimeInterval() = 0;
   };
 }
 
diff --git a/include/ieee1516-2010/RTI/certiLogicalTimeInterval.h b/include/ieee1516-2010/RTI/certiLogicalTimeInterval.h
index c9a0b656..8ee848ee 100644
--- a/include/ieee1516-2010/RTI/certiLogicalTimeInterval.h
+++ b/include/ieee1516-2010/RTI/certiLogicalTimeInterval.h
@@ -48,7 +48,7 @@ namespace rti1516e
   public:
     virtual
     ~LogicalTimeInterval()
-      throw () { };
+      noexcept { };
 
     virtual
     void
@@ -68,50 +68,41 @@ namespace rti1516e
 
     virtual
     LogicalTimeInterval &
-    operator=(LogicalTimeInterval const & value)
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator=(LogicalTimeInterval const & value) = 0;
 
     // Set self to the difference between two LogicalTimes
     virtual
     void
     setToDifference(LogicalTime const & minuend,
-      LogicalTime const& subtrahend)
-      throw (InvalidLogicalTime) = 0;
+      LogicalTime const& subtrahend) = 0;
 
     virtual
     LogicalTimeInterval &
-    operator+=(LogicalTimeInterval const & addend)
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator+=(LogicalTimeInterval const & addend) = 0;
 
     virtual
     LogicalTimeInterval &
-    operator-=(LogicalTimeInterval const & subtrahend)
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator-=(LogicalTimeInterval const & subtrahend) = 0;
     
     virtual
     bool
-    operator>(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator>(LogicalTimeInterval const & value) const = 0;
 
     virtual
     bool
-    operator<(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator<(LogicalTimeInterval const & value) const = 0;
 
     virtual
     bool
-    operator==(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator==(LogicalTimeInterval const & value) const = 0;
 
     virtual
     bool
-    operator>=(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator>=(LogicalTimeInterval const & value) const = 0;
 
     virtual
     bool
-    operator<=(LogicalTimeInterval const & value) const
-      throw (InvalidLogicalTimeInterval) = 0;
+    operator<=(LogicalTimeInterval const & value) const = 0;
     
     // Generates an encoded value that can be used to send
     // LogicalTimeIntervals to other federates in updates or interactions
@@ -119,18 +110,13 @@ namespace rti1516e
 
     // Alternate encode for directly filling a buffer
     virtual size_t encodedLength() const = 0;
-    virtual size_t encode(void* buffer, size_t bufferSize) const 
-       throw (CouldNotEncode) = 0;
+    virtual size_t encode(void* buffer, size_t bufferSize) const = 0;
 
     // Decode encodedValue into self
-    virtual void decode(VariableLengthData const & encodedValue)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(VariableLengthData const & encodedValue) = 0;
 
     // Alternate decode that reads directly from a buffer
-    virtual void decode(void* buffer, size_t bufferSize)
-      throw (InternalError,
-             CouldNotDecode) = 0;
+    virtual void decode(void* buffer, size_t bufferSize) = 0;
 
     virtual std::wstring toString() const = 0;
 
diff --git a/libCERTI/M_Classes.cc b/libCERTI/M_Classes.cc
index 64a90303..eafdb7a9 100644
--- a/libCERTI/M_Classes.cc
+++ b/libCERTI/M_Classes.cc
@@ -8248,7 +8248,8 @@ M_Reserve_Object_Instance_Name_Failed::M_Reserve_Object_Instance_Name_Failed()
     this->type = Message::RESERVE_OBJECT_INSTANCE_NAME_FAILED;
 }
 
-Message* M_Factory::create(M_Type type) throw (NetworkError ,NetworkSignal) { 
+Message* M_Factory::create(M_Type type)
+{
     Message* msg = NULL;
 
     switch (type) {
@@ -8709,7 +8710,7 @@ Message* M_Factory::create(M_Type type) throw (NetworkError ,NetworkSignal) {
     return msg;
 } /* end of M_Factory::create */
 
-Message* M_Factory::receive(MStreamType stream) throw (NetworkError ,NetworkSignal) { 
+Message* M_Factory::receive(MStreamType stream) {
     // FIXME This is not thread safe
     static libhla::MessageBuffer msgBuffer;
     Message  msgGen;
